Get Fund Assignment Order for Cost Sheet
GET /ws/rest/service/v1/cost/fund/order/{project_number}
Purpose
Get Fund Order
Request Format
All parameters should be URL encoded.
Path Parameter
project_number: Specify the project/shell number of the funding sheet
optional URL parameter
filter= {"cbs_codes":["code1" ,"code2"]}
If cbs_codes in filter do not have fund assigned to them, empty code_order List will return in response for those cbs_codes.
When filter is not provided, only those cbs_codes which have fund assigned to them will return in response.
Response Format
A JSON object is returned in the following format.
{
"data": [],
"message": [],
"status": <REST status code value>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Success Response Without filter Condition
The response contains only those cbs_codes which have funds assigned.
{
"data": [{
"cbs_code": "cost_code_1",
"code_order": ["f1001", "f1002", "f1003"]
},
{
"cbs_code": "cost_code_2",
"code_order": ["f1002", "f1004", "f1003"]
}
],
"message": ["success"],
"status": 200
}
Sample Success Response With filter Condition
The response returns an empty code_order List for "cost_code_3". It does not have fund assigned.
{
"data": [{
"cbs_code": "cost_code_1",
"code_order": ["f1001", "f1002", "f1003"]
},
{
"cbs_code": "cost_code_2",
"code_order": ["f1002", "f1004", "f1003"]
},
{
"cbs_code": "cost_code_3",
"code_order": []
}
],
"message": [
"success"
],
"status": 200
}
Validation Messages and Status Codes
| Status | Message | Condition |
|---|---|---|
| 200 | success | If all the data is retrieved in the response |
| 500 | exception message | If there is any exception when running this service |
| 1240 | Request is valid for Shell or Project. | |
| 1207 | Funding sheet do not exist. | If shell does not have funding Sheet |
| 707 | Cost sheet does not exist. | If shell does not have Cost Sheet |